Skip to content

Assign a user to a chat

POST
/openapi/chat/assignuser/{chatId}/{userId}
curl --request POST \
--url https://open-api.replyco.com/openapi/chat/assignuser/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

Assigns a team member to handle a specific chat conversation. The user must belong to the same company as the chat. Previous assignments are overwritten.

chatId
required
string format: uuid

Chat ID to assign user to

userId
required
string format: uuid

User ID to assign to the chat

User was successfully assigned to the chat

User is not authenticated or authorized

Chat or user ID was not found